<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="relative w-fit h-fit z-40">
  <div
    class="w-full h-full absolute top-0 left-0"
    (mouseover)="showOp($event)"
    (mouseout)="hideOp($event)"
    (click)="hideOp($event)"
    [ngStyle]="{ width: width + 'px', height: height + 'px', top: top + 'px', left: left + 'px' }"
  ></div>
  <div class="z-40">
    <ng-content></ng-content>
  </div>
  <p-overlayPanel #op (mouseout)="hideOp($event)">
    <div *ngIf="overlay">
      <ng-template [ngTemplateOutlet]="overlay"></ng-template>
    </div>
  </p-overlayPanel>
</div>
